.headerBanner {
  $parent: &;

  color: #fff;
  position: relative;

  &.visible {
    transition: opacity 150ms linear;
    opacity: 1;
  }

  .icon {
    fill: $color-pistachio;
  }

  

  .headerBanner__image {
    $size: map-get($mobile, space-lg);
    //height:calc(100% - #{$size});
    height: 100%;

    @include breakpoint($large) {
      $size: map-get($desktop, space-lg);
      //height:calc(100% - #{$size});
    }

    width: 100%;
    position: absolute;

    .image {
      position: relative;
      display: block;
      width: 100%;
      height: 100%;

      img,
      .lazyload-placeholder {
        max-width: none;
        width: auto;
        height: 100%;
        position: absolute;
        top: 0;
        left: 50%;
        transform: translateX(-50%);

        @include breakpoint($medium) {
          width: 100%;
          height: auto;
          top: 50%;
          left: 0;
          transform: translateY(-50%);
        }
      }

      &:after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 50%;
        background: linear-gradient(
          0deg,
          rgba(0, 0, 0, 0) 0%,
          rgba(0, 0, 0, 0.5) 50%
        );
      }
    }

    .headerBanner__overlayImage {
      z-index: 5;
      position: absolute;
      height: 100%;
      width: 100%;

      .container {
        height: 100%;
        position: relative;
      }

      img {
        max-width: 300px;
        position: absolute;
        bottom: -75px;
        left: 50%;
        transform: translateX(-50%);
        width: 100%;
        height: auto;
        transition: all linear 200ms;

        @include breakpoint($medium) {
          max-width: 340px;
          left: auto;
          transform: none;
        }

        @include breakpoint($large) {
          max-width: 500px;
        }

        @include breakpoint($xlarge) {
          max-width: 600px;
        }
      }
    }

    .bg-image {
      transition: 300ms linear opacity;

      div {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-repeat: no-repeat;
        background-position: 50% 50%;
        background-size: cover;
      }

      img,
      .lazyload-placeholder {
        position: absolute;
        width: auto;
        max-width: none;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        object-fit: cover;
        width: 100%;
        max-width: none;
        height: 100%;
        z-index: 0;
      }

      &:after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 50%;
        background: linear-gradient(
          0deg,
          rgba(0, 0, 0, 0) 0%,
          rgba(0, 0, 0, 0.5) 50%
        );
      }
    }

    > div:not(.headerBanner__overlayImage) {
      height: 100%;
      overflow: hidden;
      position: relative;
    }

    .mask {
      position: absolute;
      width: 100%;
      height: 100%;
      top: 0;
      left: 0;
      z-index: 4;

      /*
      &__filler {
        display:block;
        height: 2rem;

        @include breakpoint($large) {
          height: 3rem;
        }
      }*/

      img,
      svg {
        position: absolute;
        width: 100%;
        height: auto;
        bottom: 0;
        left: 0;
      }
      /*
      path {
        fill:#fff;

        .thene-grey & {
          fill: $color-bg-coolGrey;
        }
      }*/
    }
  }

  > .container {
    position: relative;
    padding-top: 120px;
    // padding-bottom: map-get($mobile, space-lg);
    z-index: 5;

    @include breakpoint($medium) {
      padding-top: 140px;
    }

    @include breakpoint($large) {
      padding-top: 120px;
    }

    .cms-edit {
      position: absolute;
      right: 0;
    }
  }

  &.headerBanner--hasSecNav {
    > .container {
      padding-top: 150px;

      @include breakpoint($medium) {
        padding-top: 160px;
      }

      @include breakpoint($large) {
        padding-top: 176px;
      }
    }
  }

  .headerBanner__category {
    color: #fff;    
    @include font-size(13);
    letter-spacing: 1px;  
    display: inline-block;
    font-weight: 600;
    text-transform: uppercase;
    font-family: $font-muli;

    margin-bottom: map-get($mobile, space-sm);

    @include breakpoint($large) {
      margin-bottom: map-get($desktop, space-sm);
    }

    a {
      color: #fff;
      font-family: $font-muli;
      line-height: 1.2rem;
      padding-bottom: 0.2rem;
      transition: all linear 0.4s;
      border-bottom: 1px solid rgba(255, 255, 255, 0.2);

      &:hover,
      &:focus {
        border-color: rgba(255, 255, 255, 1);
      }
    }
  }

  .headerBanner__subtext {
    margin-top: 2rem;
    font-size: 18px;
  }

  .headerBanner__link {
    margin-bottom: 0;
    padding-bottom: 0;
    a {
      color: inherit;
      color: #fff;
      font-family: $font-muli;
      line-height: 1.2rem;
      border-bottom: 1px solid rgba(255, 255, 255, 0.2);

      &:hover,
      &:focus {
        border-color: rgba(255, 255, 255, 1);
      }
    }
    @include breakpoint($small) {
      text-align: center;
    }
  }

  .headerBanner__body {
    max-width: $page-width-inner;
    margin: 0 auto;
    width: 100%;
    padding-bottom: map-get($mobile, space-lg);
    position: relative;

    @include breakpoint($medium) {
    }

    @include breakpoint($medium) {
      padding: 0 $global-padding-desktop 90px;
      max-width: $article-width-inner;
    }

    .headerBanner__body__backLink a {
      color:#fff;
    }

    .headerBanner__body__headline {
      color: #fff;
      //padding-bottom:2.7rem;
      margin: 0;
      letter-spacing: -1px;
      @include fluid(30, 60);
      line-height: 1.1;

      @include breakpoint($medium) {
        max-width: 80%;
        letter-spacing: -2px;
      }

      @include breakpoint($large) {
        max-width: none;
      }
    }

    p {
      margin-top: map-get($mobile, space-sm);
      @include breakpoint($large) {
        margin-top: map-get($desktop, space-sm);
      }
    }

    .headerBanner__body__meta {
      font-family: $font-muli;
      font-size: 14px;
      line-height: 1.2;
      display: flex;
      flex-flow: wrap;

      margin-top: map-get($mobile, space-sm);

      @include breakpoint($large) {
        margin-top: map-get($desktop, space-sm);
        align-items: center;
      }

      .icon {
        vertical-align: middle;
        margin-right: 0.3rem;
      }

      > * {
        margin: 0 1rem 0.5rem 0;
        display: block;
        line-height: 1.2;

        @include breakpoint($large) {
          margin-right: 2rem;
        }
      }
    }

    .headerBanner__body__date {
      flex: 0 0 100%;
      margin-bottom: 1rem;

      @include rhythm(11, 14);

      @include breakpoint($large) {
        flex: 0 0 auto;
        @include rhythm(14, 22);
        margin-bottom: 0.5rem;
      }
    }

    .headerBanner__body__readingTime {
      @include rhythm(11, 14);
      margin-right: 2rem;

      @include breakpoint($large) {
        @include rhythm(14, 22);
      }
    }

    .cta {
      margin-right: 2em;
      margin-bottom: 0;
      margin-top: map-get($mobile, space-md);

      @include breakpoint($large) {
        margin-top: map-get($desktop, space-md);
      }

      &:last-child {
        margin-right: 0;
        // margin-bottom:0;
      }

      &.cta--back {
        margin-bottom: 1.5em;
      }
    }

    &.headerBanner__body--darkText {
      color: $text-color;
      .headerBanner__category {
        a {
          color: $text-color;
        }
      }
    }
  }

  &.headerBanner--mini {
    .headerBanner__image {
      //height:375px;

      @include breakpoint($medium) {
        //height:475px;
      }

      @include breakpoint($large) {
        //height:560px;
      }
    }
  }

  &.headerBanner--tiny {
    .headerBanner__image {
      //height:350px;

      @include breakpoint($medium) {
        //height:325px;
      }

      @include breakpoint($large) {
        //height:450px;
      }
    }
  }

  &.headerBanner--overlay {
    #{$parent}__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          content: "";
          position: absolute;
          opacity: 1;
          top: 0;
          left: 0;
          width: 100%;
          height: 100%;
          z-index: 2;
        }

        &.mask-hide {
          &:after {
            opacity: 0.8;
            transition: opacity 300ms linear;
          }
        }
      }
    }
  }

  &.headerBanner--overlay-default {
    #{$parent}__image {
      > div:not(.headerBanner__overlayImage) {
        &.mask-hide {
          &:after {
            opacity: 0;
          }
        }
      }
    }
  }

  &.headerBanner--overlay-default {
    #{$parent}__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          z-index: 0;
          opacity: 1;
        }
      }
    }
  }

  &.headerBanner--petroleum {
    .headerBanner__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          background: $color-petroleum;
        }
      }
    }
  }

  &.headerBanner--warm-grey {
    color: #fff;
    .headerBanner__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          @include gradient-horizontal($color-bg-warmGrey, $color-bg-warmGrey);
        }
      }
    }
  }

  &.headerBanner--cool-grey {
    color: #fff;
    .headerBanner__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          @include gradient-horizontal($color-bg-coolGrey, $color-bg-coolGrey);
        }
      }
    }
  }

  &.headerBanner--blackcurrant {
    color: #fff;
    .headerBanner__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          @include gradient-directional(
            $gradient-blackcurrant-start,
            $gradient-blackcurrant-end,
            160deg
          );
        }
      }
    }
  }

  &.headerBanner--mint {
    .headerBanner__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          @include gradient-horizontal(
            $gradient-mint-start,
            $gradient-mint-end
          );
        }
      }
    }
  }

  &.headerBanner--dusty-mint {
    .headerBanner__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          @include gradient-horizontal(
            $gradient-dusty-mint-start,
            $gradient-dusty-mint-end
          );
        }
      }
    }
  }

  &.headerBanner--pistachio {
    .icon {
      fill: $color-grass;
    }
    .headerBanner__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          @include gradient-horizontal(
            $gradient-pistachio-start,
            $gradient-pistachio-end
          );
        }
      }
    }
  }

  &.headerBanner--dusty-pistachio {
    .headerBanner__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          @include gradient-horizontal(
            $gradient-dusty-pistachio-start,
            $gradient-dusty-pistachio-end
          );
        }
      }
    }
  }

  &.headerBanner--apricot {
    .icon {
      fill: $color-grass;
    }
    .headerBanner__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          @include gradient-horizontal(
            $gradient-apricot-start,
            $gradient-apricot-end
          );
        }
      }
    }
  }

  &.headerBanner--light-apricot {
    .icon {
      fill: $color-grass;
    }
    .headerBanner__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          @include gradient-horizontal(
            $gradient-light-apricot-start,
            $gradient-light-apricot-end
          );
        }
      }
    }
  }

  &.headerBanner--light-meadow {
    .icon {
      fill: $color-grass;
    }

    .headerBanner__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          @include gradient-horizontal(
            $gradient-light-meadow-start,
            $gradient-light-meadow-end
          );
        }
      }
    }
  }

  &.headerBanner--light-bluebell {
    .icon {
      fill: $color-grass;
    }

    .headerBanner__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          @include gradient-horizontal(
            $gradient-light-bluebell-start,
            $gradient-light-bluebell-end
          );
        }
      }
    }
  }

  &.headerBanner--strawberry {
    .headerBanner__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          @include gradient-directional(
            $gradient-strawberry-start,
            $gradient-strawberry-end,
            160deg,
            58%,
            80%
          );
        }
      }
    }
  }

  &.headerBanner--teal {
    .headerBanner__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          @include gradient-directional(
            $gradient-teal-start,
            $gradient-teal-end,
            160deg,
            0%,
            70%
          );
        }
      }
    }
  }

  &.headerBanner--clover {
    .headerBanner__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          @include gradient-directional-threeway(
            #107b27,
            50%,
            $gradient-clover-mid,
            60%,
            $gradient-clover-end,
            100%,
            155deg
          );
        }
      }
    }
  }

  &.headerBanner--noImage {
    .headerBanner__image {
      > div:not(.headerBanner__overlayImage) {
        &:after {
          opacity: 1;
        }
      }
    }
  }

  &.headerBanner--alignLeft {
    .headerBanner__body {
      margin-left: 0;
      padding-left: 0;
    }
  }

  &.headerBanner--home {
    @include breakpoint($small) {
      .headerBanner__body {
        padding-bottom: 0;
      }
      .headerBanner__category {
        color: inherit;
      }
      .headerBanner__link a {
        color: $link-color;
      }
      .cta {
        width: 100%;
        margin-right: 0;
      }
    }
    @include breakpoint($medium) {
      > .container {
        padding-bottom: 70px;
      }
    }
    @include breakpoint($large) {
      min-height: 650px;
      .headerBanner__body {
        padding-bottom: 0;
      }
    }
  }

  &.headerBanner--product,
  &.headerBanner--home,
  &.headerBanner--mobileContentUnderBanner,
  &.headerBanner--documentLibrary {
    color: $text-color;

    @include breakpoint($small) {
      > .container {
        padding-top:5rem;
        padding-bottom:0px !important;
      }

      .headerBanner__body {
        padding-bottom: map-get($mobile, space-sm);
      }

      .headerBanner__category {
        color: $text-color;
      }

      .headerBanner__body__headline {
        color: $color-heading;
      }

      .headerBanner__body__backLink a {
        color:#fff;
      }
    }
    @include breakpoint($medium) {
      color: $text-color;
    }

    .headerBanner__image {
      height: 275px;

      @include breakpoint($small) {
        position: relative;
      }

      @include breakpoint($medium) {
        height: 100%;
      }
    }
  }

  &.headerBanner--product {
    @include breakpoint($small) {
      .headerBanner__body {
        padding-bottom: map-get($mobile, space-xsm);
      }

      .headerBanner__category {
        color: $text-color;
      }

      .headerBanner__body__headline {
        padding-bottom: 0;
        color: $color-accessibleGreen;
      }

      .headerBanner__body {
        .headerBanner__category {
          a {
            color: $text-color;
            border-color: rgba(0, 0, 0, 0.2);

            &:hover {
              border-color: rgba(0, 0, 0, 1);
            }
          }
        }
      }
    }

    @include breakpoint($medium) {
      .headerBanner__body {
        max-width: 470px;
        margin: 0;
        padding-left: 0;
        padding-right: 0;

        .headerBanner__body__headline {
          max-width: none;
        }
      }

      .headerBanner__image {
        .headerBanner__overlayImage {
          img,
          .lazyload-placeholder {
            //right:100px;
            right: 0;
          }
        }
      }
    }

    @include breakpoint($large) {
      .headerBanner__body {
        max-width: 670px;
      }
    }

    @include breakpoint($xlarge) {
      .headerBanner__body {
        max-width: 670px;
      }

      .headerBanner__image {
        .headerBanner__overlayImage {
          img,
          .lazyload-placeholder {
            right: 50px;
          }
        }
      }
    }
  }

  &.headerBanner--global-home {
    @include breakpoint($small) {
      .container {
        padding-top: 80px;
      }
    }
    @include breakpoint($medium) {
      .headerBanner__category {
        text-transform: none;
        font-size: 24px;
        font-weight: 300;
        letter-spacing: 1px;
        @include font-archer-book;
        margin-bottom: 1.5rem;
        margin-top: 20px;
      }
      .headerBanner__body {
        padding-bottom: map-get($desktop, space-lg);
      }
    }
    @include breakpoint($large) {
      min-height: 650px;
      .headerBanner__body {
        max-width: 705px;
      }
    }
    .headerBanner__body__headline {
      a {
        color: inherit;
        @include font-archer-book;
        border-bottom: 1px dashed #fff;
        &:hover {
          border-bottom-style: solid;
        }
      }
    }
  }

  &.headerBanner--global-home {
    @include breakpoint($small) {
      .container {
        padding-top: 80px;
      }
    }
    @include breakpoint($medium) {
      .headerBanner__category {
        text-transform: none;
        font-size: 24px;
        font-weight: 300;
        letter-spacing: 1px;
        @include font-archer-book;
        margin-bottom: 1.5rem;
        margin-top: 20px;
      }
      .headerBanner__body {
        padding-bottom: map-get($desktop, space-lg);
      }
    }
    @include breakpoint($large) {
      min-height: 650px;
      .headerBanner__body {
        max-width: 705px;
      }
    }
    h2.headerBanner__body__headline {
      font-weight: 400 !important;
      line-height: 1.2 !important;
    }
    .headerBanner__body__headline {
      a {
        color: inherit;
        @include font-archer-book;
        font-weight: 500;
        border-bottom: 2px dotted #fff;
        &:hover {
          border-bottom-style: solid;
        }
      }
    }
  }

  .contact {
    display: inline-flex;
    vertical-align: middle;
    margin-right: 1.5rem;
    margin-top: map-get($mobile, space-sm);

    @include breakpoint($large) {
      margin-top: map-get($desktop, space-sm);
    }

    &__primary-contact {
      color: inherit;
    }

    &__detail {
      padding: 0;
      border: none;
    }

    + .cta {
      // margin-top: 0;
    }
  }

  &--beta {
    #{$parent}__body__headline {
      padding-top:10px;
    }
  }

  &__beta-tag {    
    display: inline-block;
    margin:0 0 -4px 1em;
  }

  &__beta-feedback {
    text-decoration: underline;
    margin:0 0 0 1em;
  }

  &.theme--text-green {
    @include breakpoint($medium) {
      .headerBanner__body__headline,
      .headerBanner__body p,
      .headerBanner__subtext,
      .headerBanner__body__meta,
      .headerBanner__body__backLink a {
        color: $color-accessibleGreen;
      }

      .headerBanner__link a {
        color: $link-color;
        border-color: rgba(4, 88, 155, 0.2);
        &:hover {
          border-color: $link-color;
        }
      }
    }
  }

  &.theme--subHeadingText-green {
    @include breakpoint($medium) {
      .headerBanner__category {
        color: $color-accessibleGreen;
        font-weight: 400;
        a {
          color: $color-accessibleGreen;
          border-color: rgba(23, 136, 48, 0.2);
          &:hover {
            border-color: rgba(23, 136, 48, 1);
          }
        }
      }
    }
  }

  &.theme--text-black {
    @include breakpoint($medium) {
      .headerBanner__body__headline,
      .headerBanner__body p,
      .headerBanner__subtext,
      .headerBanner__body__meta,
      .headerBanner__body .contact,
      .headerBanner__body__backLink a {
        color: $text-color;
      }

      .headerBanner__link a {
        color: $link-color;
        border-color: rgba(4, 88, 155, 0.2);
        &:hover {
          border-color: $link-color;
        }
      }
    }
  }

  &.theme--subHeadingText-black {
    @include breakpoint($medium) {
      .headerBanner__category {
        color: $text-color;
        font-weight: 400;

        a {
          color: $text-color;
          border-color: rgba(0, 0, 0, 0.2);

          &:hover {
            border-color: rgba(0, 0, 0, 1);
          }
        }
      }
    }
  }

  &.theme--text-white {
    @include breakpoint($medium) {
      .headerBanner__body__headline,
      .headerBanner__body p,
      .headerBanner__subtext,
      .headerBanner__body__meta,
      .headerBanner__body__backLink a {
        color: #fff;
      }
      a {
        color: #fff;
        border-color: rgba(255, 255, 255, 0.2);

        &:hover {
          border-color: rgba(255, 255, 255, 1);
        }
      }
    }
  }

  &.theme--subHeadingText-white {
    @include breakpoint($medium) {
      .headerBanner__category {
        color: #fff;

        a {
          color: #fff;
        }
      }
    }
  }

  &.theme--text-white-mobile {
    @include breakpoint($small) {
      .headerBanner__body__headline,
      .headerBanner__body p,
      .headerBanner__body time,
      .headerBanner__body__backLink a {
        color: #fff;
      }
    }
  }

  &.theme--subHeadingText-white-mobile {
    @include breakpoint($small) {
      .headerBanner__category {
        color: #fff;
      }

      .headerBanner__category {
        a {
          color: #fff !important;
          border-color: rgba(255, 255, 255, 0.2) !important;

          &:hover {
            border-color: rgba(255, 255, 255, 1) !important;
          }
        }
      }
    }
  }

  &.theme--text-black-mobile {
    @include breakpoint($small) {
      .headerBanner__body__headline,
      .headerBanner__body p,
      .headerBanner__body time,
      .headerBanner__body__backLink a {
        color: $text-color;
      }
    }
  }

  &.theme--subHeadingText-black-mobile {
    @include breakpoint($small) {
      .headerBanner__category {
        color: $text-color;
      }
    }
  }

  &.theme--text-green-mobile {
    @include breakpoint($small) {
      .headerBanner__body__headline,
      .headerBanner__body p,
      .headerBanner__body time,
      .headerBanner__body__backLink a {
        color: $color-accessibleGreen;
      }
    }
  }

  &.theme--subHeadingText-green-mobile {
    @include breakpoint($small) {
      .headerBanner__category {
        color: $color-accessibleGreen;
      }

      .headerBanner__category {
        a {
          color: $color-accessibleGreen !important;
          border-color: rgba(23, 136, 48, 0.2) !important;

          &:hover {
            border-color: rgba(23, 136, 48, 1) !important;
          }
        }
      }
    }
  }

  &.theme-mobile-white {
    @include breakpoint($small) {
      background-color: #fff;
      #headermask-gradbg stop {
        stop-color: #fff;
      }
    }
  }
}

.headerBanner__overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 50%;
  height: 500px;

  //background: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0.5) 50%);
}

.headerBanner--edit {
  position: relative;
  top: 80px;
  z-index: 10;
  background: rgba(255, 255, 255, 0.4);

  ul {
    list-style: none;
    list-style-type: none;
    margin-bottom: 0;

    li {
      margin-bottom: 0;
    }
  }

  &__bannerItems {
    display: inline;

    li {
      display: inline;
    }
  }

  div.scLooseFrameZone {
    display: inline;
  }
}

body.glossaryPage {
  .headerBanner {
    > .container {
      position: relative;
      padding-top: 160px;

      @include breakpoint($medium) {
        padding-top: 200px;
      }
    }
  }
}
